# This file is a template, and might need editing before it works on your project.
docker-build-master:
  # Official docker image.
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t $CI_REGISTRY_ADRESS:latest -f db.Dockerfile .
    - docker push $CI_REGISTRY_ADRESS:latest
  only:
    - master